Get Edge-Node Cluster. (GET /v1/cluster/node/id/{id})
GET /api/v1/cluster/node/id/. Edge node clusters API reference.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
System defined universally unique Id of the cluster
Response
A successful response.
Cluster config summary
System defined universally unique Id of the cluster
[0-9A-Za-z-]+User defined name of the cluster, unique across the enterprise. Once cluster is created, name can’t be changed
User defined title of the cluster. Title can be changed at any time
Detailed description of the cluster
Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.
Foreign key to the project
A cluster prefix
Seed node id
Seed node ip
Admin state of the cluster
ADMIN_STATE_UNSPECIFIED, ADMIN_STATE_CREATED, ADMIN_STATE_DELETED, ADMIN_STATE_ACTIVE, ADMIN_STATE_INACTIVE, ADMIN_STATE_REGISTERED, ADMIN_STATE_ARCHIVED, ADMIN_STATE_DELETION_PENDING A list of nodes in the cluster
Creation time of the cluster
Last updated time of the cluster
Project Name